org.apache.storm.kafka.spout

## Class KafkaSpoutMessageId

- java.lang.Object
- - org.apache.storm.kafka.spout.KafkaSpoutMessageId

- All Implemented Interfaces:
    Serializable

      public class KafkaSpoutMessageId
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSpoutMessageId(org.apache.kafka.clients.consumer.ConsumerRecord<?,?> consumerRecord)`
    `KafkaSpoutMessageId(org.apache.kafka.clients.consumer.ConsumerRecord<?,?> consumerRecord, boolean nullTuple)`
    `KafkaSpoutMessageId(org.apache.kafka.common.TopicPartition topicPart, long offset)`
    `KafkaSpoutMessageId(org.apache.kafka.common.TopicPartition topicPart, long offset, boolean nullTuple)` Creates a new KafkaSpoutMessageId.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `org.apache.kafka.common.TopicPartition` | `getTopicPartition()`
    `int` | `hashCode()`
    `void` | `incrementNumFails()`
    `boolean` | `isNullTuple()`
    `int` | `numFails()`
    `long` | `offset()`
    `int` | `partition()`
    `void` | `setNullTuple(boolean nullTuple)`
    `String` | `topic()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaSpoutMessageId

          public KafkaSpoutMessageId(org.apache.kafka.clients.consumer.ConsumerRecord<?,?> consumerRecord)

    - #### KafkaSpoutMessageId

          public KafkaSpoutMessageId(org.apache.kafka.clients.consumer.ConsumerRecord<?,?> consumerRecord,
                                     boolean nullTuple)

    - #### KafkaSpoutMessageId

          public KafkaSpoutMessageId(org.apache.kafka.common.TopicPartition topicPart,
                                     long offset)

    - #### KafkaSpoutMessageId

          public KafkaSpoutMessageId(org.apache.kafka.common.TopicPartition topicPart,
                                     long offset,
                                     boolean nullTuple)

      Creates a new KafkaSpoutMessageId.

      Parameters:
        `topicPart` - The topic partition this message belongs to
        `offset` - The offset of this message
        `nullTuple` - True if this message is being skipped as a null tuple

  - ### Method Detail

    - #### partition

          public int partition()

    - #### topic

          public String topic()

    - #### offset

          public long offset()

    - #### numFails

          public int numFails()

    - #### incrementNumFails

          public void incrementNumFails()

    - #### getTopicPartition

          public org.apache.kafka.common.TopicPartition getTopicPartition()

    - #### isNullTuple

          public boolean isNullTuple()

    - #### setNullTuple

          public void setNullTuple(boolean nullTuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.